#pragma once
#include "Mod.h"

class Timer : public Mod {
public:
	float tps = 20.f;
	Timer() : Mod("Timer", "Change the speed of the game.", Category::PLAYER) {
		settings.push_back(new Setting{ _("Tps"), &tps, new float(30.f), new float(0.f), 2, {}, true, 5.f });
		
		enabled = false;
	}
private:
	virtual auto onWorldTick(Player* _this) -> void override;
	virtual auto onDisabled() -> void override;
};
